Package com.ads.api.beans.kv

# Class KeyValue

java.lang.Object
com.ads.api.beans.kv.KeyValue

public class KeyValue extends Object
This class provides some beans control methods related to KeyValue object and its subKeyValues, key, value and its Audit Specifications etc.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `KeyValue.DisplayPolicy`
  `static enum`
  `KeyValue.UIType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyValue()`
  `KeyValue(String key)`
  `KeyValue(String key, String value)`
  `KeyValue(String key, String value, String valueRefId, KeyValue.UIType uIType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addKeyValue(KeyValue kv)`
  `void`
  `addSubKeyValue(KeyValue kv)`
  `void`
  `addUserData(String key, Object value)`
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory.
  `String`
  `getCellType()`
  Returns the cellType Value
  `int`
  `getChildId()`
  Returns the childId Value.
  `String`
  `getComponent()`
  Returns the component Value.
  `com.ads.master.config.vo.MasterConfig`
  `getConfigObject()`
  Returns the configObject Value.
  `String`
  `getDefaultValue()`
  Returns the defaultValue Value.
  `List<KeyValue>`
  `getDependencies()`
  Returns the dependencies Values
  `String`
  `getDescription()`
  Returns the description Value.
  `int`
  `getDiscoverAssetProperty()`
  `int`
  `getDisplayPolicy()`
  Returns the displayPolicy Value
  `int`
  `getFieldLength()`
  Returns the fieldLength Value.
  `String`
  `getFieldType()`
  Returns the fieldType Value.
  `int`
  `getFormProperty()`
  Returns the formProperty Value.
  `int`
  `getGridProperty()`
  Returns the gridProperty Value.
  `int`
  `getId()`
  Returns the id Value.
  `String`
  `getKey()`
  Returns the key Value.
  `String`
  `getKeyStyle()`
  Returns the String Value.
  `KeyValue`
  `getKeyValue(String key)`
  `List<KeyValue>`
  `getKeyValues()`
  Returns the keyValues.
  `int`
  `getLoadonStartup()`
  Returns the loadonStartup Value.
  `boolean`
  `getMandatory()`
  Returns the mandatory Value.
  `com.ads.master.config.vo.MasterConfigDetails`
  `getMasterConfig()`
  Returns the masterConfig Value.
  `String`
  `getMode()`
  Returns the mode Value.
  `String`
  `getObjectId()`
  Returns the objectId Value.
  `int`
  `getObjectLevel()`
  Returns the objectLevel Value.
  `String`
  `getObjectStyle()`
  Returns the objectStyle Value.
  `String`
  `getObjectTypeId()`
  Returns the objectTypeId Value.
  `float`
  `getOrder()`
  Returns the order Value.
  `int`
  `getParentId()`
  Returns the parentId Value.
  `String`
  `getParentKey()`
  Returns the parentKey Value
  `String`
  `getParentObjectId()`
  Returns the parentObjectId Value.
  `String`
  `getParentObjectTypeId()`
  Returns the parentObjectTypeId Value.
  `int`
  `getPivoTable()`
  Returns the pivoTable Value.
  `String`
  `getPreference(int preference)`
  `String`
  `getPrefType()`
  Returns the prefType Value.
  `int`
  `getProcessingOrder()`
  Returns the processingOrder Value.
  `String`
  `getRegularExpression()`
  Returns the regularExpression Value.
  `String`
  `getReguralExpresion()`
  Deprecated.
  Since v8.3
  `RequestStatus`
  `getRequestStatus()`
  Returns the requestStatus Value.
  `String`
  `getSelectedValue()`
  Returns the selectedValue Value.
  `List<KeyValue>`
  `getSubKeyValues()`
  Returns the subKeyValues.
  `String`
  `getText()`
  Returns the text Value.
  `String`
  `getTooltip()`
  Returns the tooltip Value.
  `String`
  `getType()`
  Returns the type Value.
  `KeyValue.UIType`
  `getUiType()`
  Returns the uiType Value.
  `KeyValue.UIType`
  `getUIType()`
  Returns the uiType Value.
  `Map<String,Object>`
  `getUserData()`
  `Object`
  `getUserData(String key)`
  Returns the userData.
  `String`
  `getValue()`
  Returns the Value.
  `String`
  `getValueRefId()`
  Returns the valueRefId Value.
  `String`
  `getValueStyle()`
  Returns the valueStyle Value.
  `int`
  `getVisibility()`
  Returns the visibility Value.
  `boolean`
  `isConsolidated()`
  Returns the consolidated Value
  `boolean`
  `isEnabled()`
  Returns the enabled Value.
  `boolean`
  `isExpand()`
  Returns the expand Value
  `boolean`
  `isFetchOnlyParent()`
  Returns the fetchOnlyParent Value.
  `boolean`
  `isFormatRefValues()`
  Returns the formatRefValues Value.
  `boolean`
  `isFromChild()`
  Returns the fromChild Value.
  `boolean`
  `isFromParent()`
  Returns the fromParent Value.
  `boolean`
  `isHtml()`
  Returns the html Value.
  `boolean`
  `isHtmlDisabled()`
  Returns the htmlDisabled Value.
  `boolean`
  `isPublished()`
  Returns the published Value.
  `boolean`
  `isPurge()`
  Returns the purge Value
  `boolean`
  `isSystemBased()`
  Returns the systemBased Value.
  `void`
  `removeUserData(KeyValue keyValue)`
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the auditHistory details as specified.
  `void`
  `setCellType(String cellType)`
  Method sets the cellType value.
  `void`
  `setChildId(int childId)`
  Method sets the childId value.
  `void`
  `setComponent(String component)`
  Method sets the component value.
  `void`
  `setConfigObject(com.ads.master.config.vo.MasterConfig configObject)`
  Method sets the configObject value
  `void`
  `setConsolidated(boolean consolidated)`
  Method sets the consolidated value.
  `void`
  `setDefaultValue(String defaultValue)`
  Method sets the defaultValue value.
  `void`
  `setDependencies(List<KeyValue> dependencies)`
  Method sets the dependencies as Specified.
  `void`
  `setDescription(String description)`
  Method sets the description value.
  `void`
  `setDiscoverAssetProperty(int discoverAssetProperty)`
  `void`
  `setDisplayPolicy(int displayPolicy)`
  Method sets the displayPolicy as Specified.
  `void`
  `setEnabled(boolean enabled)`
  Method sets the enabled value.
  `void`
  `setExpand(boolean expand)`
  Method sets the expand value as Specified.
  `void`
  `setFetchOnlyParent(boolean fetchOnlyParent)`
  Method sets the fetchOnlyParent value.
  `void`
  `setFieldLength(int fieldLength)`
  Method sets the fieldLength value.
  `void`
  `setFieldType(String fieldType)`
  Method sets the fieldType value.
  `void`
  `setFormatRefValues(boolean formatRefValues)`
  Method sets the formatRefValues value.
  `void`
  `setFormProperty(int formProperty)`
  Method sets the formProperty value
  `void`
  `setFromChild(boolean fromChild)`
  Method sets the fromChild value.
  `void`
  `setFromParent(boolean fromParent)`
  Method sets the fromParent value.
  `void`
  `setGridProperty(int gridProperty)`
  Method sets the gridProperty value
  `void`
  `setHtml(boolean html)`
  Method sets the html value.
  `void`
  `setHtmlDisabled(boolean htmlDisabled)`
  Method sets the htmlDisabled value.
  `void`
  `setId(int id)`
  Method sets the id value.
  `void`
  `setKey(String key)`
  Method sets the key value as specified
  `void`
  `setKeyStyle(String keyStyle)`
  Method sets the keyStyle value.
  `void`
  `setKeyValues(List<KeyValue> keyValues)`
  Method sets the keyValues.
  `void`
  `setLoadonStartup(int loadonStartup)`
  Method sets the loadonStartup value.
  `void`
  `setMandatory(boolean mandatory)`
  Method sets the mandatory value.
  `void`
  `setMandatory(String mandatory)`
  Deprecated.
  Since v8.3
  `void`
  `setMasterConfig(com.ads.master.config.vo.MasterConfigDetails masterConfig)`
  Method sets the masterConfig value.
  `void`
  `setMode(String mode)`
  Method sets the mode value
  `void`
  `setObjectId(String objectId)`
  Method sets the objectId value.
  `void`
  `setObjectLevel(int objectLevel)`
  Method sets the objectLevel value
  `void`
  `setObjectStyle(String objectStyle)`
  Method sets the objectStyle as specified.
  `void`
  `setObjectTypeId(String objectTypeId)`
  Method sets the objectTypeId value.
  `void`
  `setOrder(float order)`
  Method sets the order value.
  `void`
  `setParentId(int parentId)`
  Method sets the parentId value.
  `void`
  `setParentKey(String parentKey)`
  Method sets the parentKey as Specified.
  `void`
  `setParentObjectId(String parentObjectId)`
  Method sets the parentObjectId value.
  `void`
  `setParentObjectTypeId(String parentObjectTypeId)`
  Method sets the parentObjectTypeId value.
  `void`
  `setPivoTable(int pivoTable)`
  Method sets the pivoTable value
  `void`
  `setPrefType(String prefType)`
  Method sets the prefType value.
  `void`
  `setProcessingOrder(int processingOrder)`
  Method sets the processingOrder value.
  `void`
  `setPublished(boolean published)`
  Method sets the published value.
  `void`
  `setPurge(boolean purge)`
  Method sets the purge value as specified.
  `void`
  `setRegularExpression(String reguralExpresion)`
  Method sets the regularExpression value.
  `void`
  `setReguralExpresion(String reguralExpresion)`
  Deprecated.
  Since v8.3
  `void`
  `setRequestStatus(RequestStatus requestStatus)`
  Method sets the requestStatus value.
  `void`
  `setSelectedValue(String selectedValue)`
  Method sets the selectedValue.
  `void`
  `setSubKeyValues(List<KeyValue> subKeyValues)`
  Method sets the subKeyValues as Specified.
  `void`
  `setSystemBased(boolean systemBased)`
  Method sets the systemBased value.
  `void`
  `setText(String text)`
  Method sets the text value.
  `void`
  `setTooltip(String tooltip)`
  Method sets the tooltip value
  `void`
  `setType(String type)`
  Method sets the type value.
  `void`
  `setUiType(KeyValue.UIType uiType)`
  Method sets the uiType value.
  `void`
  `setUIType(KeyValue.UIType uiType)`
  Method sets the uiType value.
  `void`
  `setUserData(Map<String,Object> userData)`
  Method sets the userData as Specified.
  `void`
  `setValue(String value)`
  Method sets the value as specified
  `void`
  `setValueRefId(String valueRefId)`
  Method sets the valueRefId value
  `void`
  `setValueStyle(String valueStyle)`
  Method sets the valueStyle value.
  `void`
  `setVisibility(int visibility)`
  Method sets the visibility value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeyValue

    public KeyValue()

  - ### KeyValue

    public KeyValue(String key)

  - ### KeyValue

    public KeyValue(String key, String value)

  - ### KeyValue

    public KeyValue(String key, String value, String valueRefId, KeyValue.UIType uIType)

- ## Method Details

  - ### isPublished

    public boolean isPublished()
    Returns the published Value.
    Returns:
      published boolean.

  - ### setPublished

    public void setPublished(boolean published)
    Method sets the published value.
    Parameters:
      `published` - boolean.

  - ### isFromParent

    public boolean isFromParent()
    Returns the fromParent Value.
    Returns:
      fromParent boolean.

  - ### setFromParent

    public void setFromParent(boolean fromParent)
    Method sets the fromParent value.
    Parameters:
      `fromParent` - boolean.

  - ### isFromChild

    public boolean isFromChild()
    Returns the fromChild Value.
    Returns:
      fromChild boolean.

  - ### setFromChild

    public void setFromChild(boolean fromChild)
    Method sets the fromChild value.
    Parameters:
      `fromChild` - boolean.

  - ### isFetchOnlyParent

    public boolean isFetchOnlyParent()
    Returns the fetchOnlyParent Value.
    Returns:
      fetchOnlyParent boolean.

  - ### setFetchOnlyParent

    public void setFetchOnlyParent(boolean fetchOnlyParent)
    Method sets the fetchOnlyParent value.
    Parameters:
      `fetchOnlyParent` - boolean.

  - ### isSystemBased

    public boolean isSystemBased()
    Returns the systemBased Value.
    Returns:
      systemBased boolean.

  - ### setSystemBased

    public void setSystemBased(boolean systemBased)
    Method sets the systemBased value.
    Parameters:
      `systemBased` - boolean.

  - ### isEnabled

    public boolean isEnabled()
    Returns the enabled Value.
    Returns:
      enabled boolean.

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Method sets the enabled value.
    Parameters:
      `enabled` - boolean.

  - ### getId

    public int getId()
    Returns the id Value.
    Returns:
      id int.

  - ### setId

    public void setId(int id)
    Method sets the id value.
    Parameters:
      `id` - int.

  - ### getParentId

    public int getParentId()
    Returns the parentId Value.
    Returns:
      parentId int.

  - ### setParentId

    public void setParentId(int parentId)
    Method sets the parentId value.
    Parameters:
      `parentId` - int.

  - ### getChildId

    public int getChildId()
    Returns the childId Value.
    Returns:
      childId int.

  - ### setChildId

    public void setChildId(int childId)
    Method sets the childId value.
    Parameters:
      `childId` - int.

  - ### getKey

    public String getKey()
    Returns the key Value.
    Returns:
      key String.

  - ### setKey

    public void setKey(String key)
    Method sets the key value as specified
    Parameters:
      `key` - String.

  - ### getValue

    public String getValue()
    Returns the Value.
    Returns:
      value String.

  - ### setValue

    public void setValue(String value)
    Method sets the value as specified
    Parameters:
      `value` - String.

  - ### getObjectId

    public String getObjectId()
    Returns the objectId Value.
    Returns:
      objectId String.

  - ### setObjectId

    public void setObjectId(String objectId)
    Method sets the objectId value.
    Parameters:
      `objectId` - String.

  - ### getObjectTypeId

    public String getObjectTypeId()
    Returns the objectTypeId Value.
    Returns:
      objectTypeId String.

  - ### setObjectTypeId

    public void setObjectTypeId(String objectTypeId)
    Method sets the objectTypeId value.
    Parameters:
      `objectTypeId` - String.

  - ### getParentObjectId

    public String getParentObjectId()
    Returns the parentObjectId Value.
    Returns:
      parentObjectId String.

  - ### setParentObjectId

    public void setParentObjectId(String parentObjectId)
    Method sets the parentObjectId value.
    Parameters:
      `parentObjectId` - String.

  - ### getParentObjectTypeId

    public String getParentObjectTypeId()
    Returns the parentObjectTypeId Value.
    Returns:
      parentObjectTypeId String.

  - ### setParentObjectTypeId

    public void setParentObjectTypeId(String parentObjectTypeId)
    Method sets the parentObjectTypeId value.
    Parameters:
      `parentObjectTypeId` - String.

  - ### getDescription

    public String getDescription()
    Returns the description Value.
    Returns:
      description String.

  - ### setDescription

    public void setDescription(String description)
    Method sets the description value.
    Parameters:
      `description` - String.

  - ### getUIType

    public KeyValue.UIType getUIType()
    Returns the uiType Value.
    Returns:
      uiType UIType.

  - ### setUIType

    public void setUIType(KeyValue.UIType uiType)
    Method sets the uiType value.
    Parameters:
      `uiType` - UIType.

  - ### getUiType

    public KeyValue.UIType getUiType()
    Returns the uiType Value.
    Returns:
      uiType UIType.

  - ### setUiType

    public void setUiType(KeyValue.UIType uiType)
    Method sets the uiType value.
    Parameters:
      `uiType` - UIType.

  - ### setMandatory

    public void setMandatory(boolean mandatory)
    Method sets the mandatory value.
    Parameters:
      `mandatory` - boolean.

  - ### setMandatory

    @Deprecated public void setMandatory(String mandatory)
    Deprecated.
    Since v8.3
    Parameters:
      `mandatory` -

  - ### getMandatory

    public boolean getMandatory()
    Returns the mandatory Value.
    Returns:
      mandatory String.

  - ### getReguralExpresion

    @Deprecated public String getReguralExpresion()
    Deprecated.
    Since v8.3
    Parameters:
      `reguralExpresion` -

  - ### setReguralExpresion

    @Deprecated public void setReguralExpresion(String reguralExpresion)
    Deprecated.
    Since v8.3
    Parameters:
      `reguralExpresion` -

  - ### getRegularExpression

    public String getRegularExpression()
    Returns the regularExpression Value.
    Returns:
      regularExpression String.

  - ### setRegularExpression

    public void setRegularExpression(String reguralExpresion)
    Method sets the regularExpression value.
    Parameters:
      `regularExpression` - String.

  - ### getOrder

    public float getOrder()
    Returns the order Value.
    Returns:
      order float.

  - ### setOrder

    public void setOrder(float order)
    Method sets the order value.
    Parameters:
      `order` - float.

  - ### isPurge

    public boolean isPurge()
    Returns the purge Value
    Returns:
      the purge - boolean

  - ### setPurge

    public void setPurge(boolean purge)
    Method sets the purge value as specified.
    Parameters:
      `purge` - boolean

  - ### getProcessingOrder

    public int getProcessingOrder()
    Returns the processingOrder Value.
    Returns:
      processingOrder int.

  - ### setProcessingOrder

    public void setProcessingOrder(int processingOrder)
    Method sets the processingOrder value.
    Parameters:
      `processingOrder` - int.

  - ### getFieldType

    public String getFieldType()
    Returns the fieldType Value.
    Returns:
      fieldType String.

  - ### setFieldType

    public void setFieldType(String fieldType)
    Method sets the fieldType value.
    Parameters:
      `fieldType` - String.

  - ### getFieldLength

    public int getFieldLength()
    Returns the fieldLength Value.
    Returns:
      fieldLength String.

  - ### setFieldLength

    public void setFieldLength(int fieldLength)
    Method sets the fieldLength value.
    Parameters:
      `fieldLength` - String.

  - ### getComponent

    public String getComponent()
    Returns the component Value.
    Returns:
      component String.

  - ### setComponent

    public void setComponent(String component)
    Method sets the component value.
    Parameters:
      `component` - String.

  - ### getKeyStyle

    public String getKeyStyle()
    Returns the String Value.
    Returns:
      String String.

  - ### setKeyStyle

    public void setKeyStyle(String keyStyle)
    Method sets the keyStyle value.
    Parameters:
      `keyStyle` - String.

  - ### getValueStyle

    public String getValueStyle()
    Returns the valueStyle Value.
    Returns:
      valueStyle String.

  - ### setValueStyle

    public void setValueStyle(String valueStyle)
    Method sets the valueStyle value.
    Parameters:
      `valueStyle` - String.

  - ### getDefaultValue

    public String getDefaultValue()
    Returns the defaultValue Value.
    Returns:
      defaultValue String.

  - ### setDefaultValue

    public void setDefaultValue(String defaultValue)
    Method sets the defaultValue value.
    Parameters:
      `defaultValue` - String.

  - ### getKeyValues

    public List<KeyValue> getKeyValues()
    Returns the keyValues.
    Returns:
      keyValues list.

  - ### setKeyValues

    public void setKeyValues(List<KeyValue> keyValues)
    Method sets the keyValues.
    Parameters:
      `keyValues` - list.

  - ### addKeyValue

    public void addKeyValue(KeyValue kv)

  - ### addSubKeyValue

    public void addSubKeyValue(KeyValue kv)

  - ### getKeyValue

    public KeyValue getKeyValue(String key)

  - ### getUserData

    public Map<String,Object> getUserData()

  - ### setUserData

    public void setUserData(Map<String,Object> userData)
    Method sets the userData as Specified.
    Parameters:
      `userData` - String

  - ### getUserData

    public Object getUserData(String key)
    Returns the userData.
    Returns:
      the userData String.

  - ### addUserData

    public void addUserData(String key, Object value)

  - ### removeUserData

    public void removeUserData(KeyValue keyValue)

  - ### getCellType

    public String getCellType()
    Returns the cellType Value
    Returns:
      the cellType String.

  - ### setCellType

    public void setCellType(String cellType)
    Method sets the cellType value.
    Parameters:
      `cellType` - String

  - ### isConsolidated

    public boolean isConsolidated()
    Returns the consolidated Value
    Returns:
      the consolidated boolean.

  - ### setConsolidated

    public void setConsolidated(boolean consolidated)
    Method sets the consolidated value.
    Parameters:
      `consolidated` - boolean

  - ### isExpand

    public boolean isExpand()
    Returns the expand Value
    Returns:
      the expand boolean.

  - ### setExpand

    public void setExpand(boolean expand)
    Method sets the expand value as Specified.
    Parameters:
      `expand` - boolean

  - ### getDisplayPolicy

    public int getDisplayPolicy()
    Returns the displayPolicy Value
    Returns:
      the displayPolicy int.

  - ### setDisplayPolicy

    public void setDisplayPolicy(int displayPolicy)
    Method sets the displayPolicy as Specified.
    Parameters:
      `displayPolicy` - int

  - ### getParentKey

    public String getParentKey()
    Returns the parentKey Value
    Returns:
      the parentKey String.

  - ### setParentKey

    public void setParentKey(String parentKey)
    Method sets the parentKey as Specified.
    Parameters:
      `parentKey` - String

  - ### getDependencies

    public List<KeyValue> getDependencies()
    Returns the dependencies Values
    Returns:
      the dependencies list.

  - ### setDependencies

    public void setDependencies(List<KeyValue> dependencies)
    Method sets the dependencies as Specified.
    Parameters:
      `dependencies` - list

  - ### getSubKeyValues

    public List<KeyValue> getSubKeyValues()
    Returns the subKeyValues.
    Returns:
      the subKeyValues list

  - ### setSubKeyValues

    public void setSubKeyValues(List<KeyValue> subKeyValues)
    Method sets the subKeyValues as Specified.
    Parameters:
      `subKeyValues` - list

  - ### getVisibility

    public int getVisibility()
    Returns the visibility Value.
    Returns:
      visibility int

  - ### setVisibility

    public void setVisibility(int visibility)
    Method sets the visibility value.
    Parameters:
      `visibility` - int

  - ### getText

    public String getText()
    Returns the text Value.
    Returns:
      text String

  - ### setText

    public void setText(String text)
    Method sets the text value.
    Parameters:
      `text` - String

  - ### getPrefType

    public String getPrefType()
    Returns the prefType Value.
    Returns:
      prefType String

  - ### setPrefType

    public void setPrefType(String prefType)
    Method sets the prefType value.
    Parameters:
      `prefType` - String

  - ### getType

    public String getType()
    Returns the type Value.
    Returns:
      type String

  - ### setType

    public void setType(String type)
    Method sets the type value.
    Parameters:
      `type` - String

  - ### getSelectedValue

    public String getSelectedValue()
    Returns the selectedValue Value.
    Returns:
      selectedValue String

  - ### setSelectedValue

    public void setSelectedValue(String selectedValue)
    Method sets the selectedValue.
    Parameters:
      `selectedValue` - String

  - ### getObjectStyle

    public String getObjectStyle()
    Returns the objectStyle Value.
    Returns:
      objectStyle String

  - ### setObjectStyle

    public void setObjectStyle(String objectStyle)
    Method sets the objectStyle as specified.
    Parameters:
      `objectStyle` - String

  - ### isHtml

    public boolean isHtml()
    Returns the html Value.
    Returns:
      html boolean

  - ### setHtml

    public void setHtml(boolean html)
    Method sets the html value.
    Parameters:
      `html` - boolean

  - ### isHtmlDisabled

    public boolean isHtmlDisabled()
    Returns the htmlDisabled Value.
    Returns:
      the htmlDisabled boolean

  - ### setHtmlDisabled

    public void setHtmlDisabled(boolean htmlDisabled)
    Method sets the htmlDisabled value.
    Parameters:
      `htmlDisabled` - boolean

  - ### isFormatRefValues

    public boolean isFormatRefValues()
    Returns the formatRefValues Value.
    Returns:
      the formatRefValues boolean

  - ### setFormatRefValues

    public void setFormatRefValues(boolean formatRefValues)
    Method sets the formatRefValues value.
    Parameters:
      `formatRefValues` - boolean

  - ### getLoadonStartup

    public int getLoadonStartup()
    Returns the loadonStartup Value.
    Returns:
      the loadonStartup int

  - ### setLoadonStartup

    public void setLoadonStartup(int loadonStartup)
    Method sets the loadonStartup value.
    Parameters:
      `loadonStartup` - int

  - ### getPreference

    public String getPreference(int preference)

  - ### getMasterConfig

    public com.ads.master.config.vo.MasterConfigDetails getMasterConfig()
    Returns the masterConfig Value.
    Returns:
      the masterConfig MasterConfigDetails.

  - ### setMasterConfig

    public void setMasterConfig(com.ads.master.config.vo.MasterConfigDetails masterConfig)
    Method sets the masterConfig value.
    Parameters:
      `masterConfig` - MasterConfigDetails

  - ### getRequestStatus

    public RequestStatus getRequestStatus()
    Returns the requestStatus Value.
    Returns:
      the requestStatus RequestStatus.

  - ### setRequestStatus

    public void setRequestStatus(RequestStatus requestStatus)
    Method sets the requestStatus value.
    Parameters:
      `requestStatus` - RequestStatus

  - ### getMode

    public String getMode()
    Returns the mode Value.
    Returns:
      mode String.

  - ### setMode

    public void setMode(String mode)
    Method sets the mode value
    Parameters:
      `mode` - String.

  - ### getValueRefId

    public String getValueRefId()
    Returns the valueRefId Value.
    Returns:
      valueRefId String.

  - ### setValueRefId

    public void setValueRefId(String valueRefId)
    Method sets the valueRefId value
    Parameters:
      `valueRefId` - String.

  - ### getConfigObject

    public com.ads.master.config.vo.MasterConfig getConfigObject()
    Returns the configObject Value.
    Returns:
      configObject MasterConfig.

  - ### setConfigObject

    public void setConfigObject(com.ads.master.config.vo.MasterConfig configObject)
    Method sets the configObject value
    Parameters:
      `configObject` - MasterConfig.

  - ### getTooltip

    public String getTooltip()
    Returns the tooltip Value.
    Returns:
      tooltip String

  - ### setTooltip

    public void setTooltip(String tooltip)
    Method sets the tooltip value
    Parameters:
      `tooltip` - String

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Method sets the auditHistory details as specified.
    Parameters:
      `auditHistory` - AuditHistory.

  - ### getObjectLevel

    public int getObjectLevel()
    Returns the objectLevel Value.
    Returns:
      objectLevel int

  - ### setObjectLevel

    public void setObjectLevel(int objectLevel)
    Method sets the objectLevel value
    Parameters:
      `objectLevel` - int

  - ### getFormProperty

    public int getFormProperty()
    Returns the formProperty Value.
    Returns:
      formProperty int

  - ### setFormProperty

    public void setFormProperty(int formProperty)
    Method sets the formProperty value
    Parameters:
      `formProperty` - int

  - ### getGridProperty

    public int getGridProperty()
    Returns the gridProperty Value.
    Returns:
      gridProperty int

  - ### setGridProperty

    public void setGridProperty(int gridProperty)
    Method sets the gridProperty value
    Parameters:
      `gridProperty` - int

  - ### getPivoTable

    public int getPivoTable()
    Returns the pivoTable Value.
    Returns:
      pivoTable int

  - ### setPivoTable

    public void setPivoTable(int pivoTable)
    Method sets the pivoTable value
    Parameters:
      `pivoTable` - int

  - ### getDiscoverAssetProperty

    public int getDiscoverAssetProperty()

  - ### setDiscoverAssetProperty

    public void setDiscoverAssetProperty(int discoverAssetProperty)